Page MenuHomePhabricator

[Bug] Strings "name" and "badges" are not translatable in diffs
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterMade strings "name" and "badges" translatable

Event Timeline

matej_suchanek raised the priority of this task from to Low.
matej_suchanek updated the task description. (Show Details)
matej_suchanek added a subscriber: matej_suchanek.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 9:33 AM
Lydia_Pintscher renamed this task from string "name" is not translated in diffs to string "name" is not translatable in diffs.Sep 1 2015, 9:44 AM
Lydia_Pintscher renamed this task from string "name" is not translatable in diffs to [Bug] string "name" is not translatable in diffs.
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.
Lydia_Pintscher moved this task from consider for next sprint to ready to go on the Wikidata board.
matej_suchanek renamed this task from [Bug] string "name" is not translatable in diffs to [Bug] Strings "name" and "badges" are not translatable in diffs.Oct 21 2015, 2:14 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 3 2016, 8:18 PM

Hey !

I've been trying to fix this for the past 3 hours and is in a zigzag. The string "name" is coming from a faraway class and I can't seem to translate it.

I reached here, but is facing difficulty to what to do next.

My plan is to modify DiffView.php by :

  • Passing the context of EntityDiffVisualizer to DiffView
  • And while generating the HTML, translate it.

But this approach to me seems ugly. Should I do this or is there any other way ? :/

Changing DiffView doesn't sound crazy but you can try rendering templates to make the code much cleaner. Make the patch and we talk about it in gerrit (btw. Make patch on the Wikibase extension not wikidata, that is the build not the real source code)

Change 329635 had a related patch set uploaded (by Subins2000):
Made strings "name" and "badges" translatable

https://gerrit.wikimedia.org/r/329635

Change 329635 merged by jenkins-bot:
Made strings "name" and "badges" translatable

https://gerrit.wikimedia.org/r/329635

Ladsgroup closed this task as Resolved.Jan 11 2017, 4:41 PM
Ladsgroup assigned this task to subins2000.
Ladsgroup removed a project: Patch-For-Review.